usb_gadget_connect
Prev | Core Objects and Methods | Next

## Name

usb_gadget_connect — software-controlled connect to USB host

## Synopsis

`int usb_gadget_connect (` | struct usb_gadget * | gadget`)`;

## Arguments

`gadget`

  the peripheral being connected

## Description

Enables the D+ (or potentially D-) pullup. The host will start enumerating this gadget when the pullup is active and a VBUS session is active (the link is powered). This pullup is always enabled unless `usb_gadget_disconnect` has been used to disable it.

Returns zero on success, else negative errno.

Prev | Up | Next
usb_gadget_vbus_disconnect | Home | usb_gadget_disconnect